#include "clock.h"

#include <cstdio>
void ChessClock::start() {
	my_timer_start(&clock);
}

void ChessClock::stop(bool increase) {
	if (isRunning()) {
		my_timer_stop(&clock);
		if (timer && increase) {
			if (clock.elapsed_real <= inc) clock.elapsed_real = 0;
			else clock.elapsed_real -= inc;
		}
	}
}

void ChessClock::reset() {
	my_timer_reset(&clock);
}

void ChessClock::set(bool _timer, int _seconds, int _inc) {
	timer = _timer;
	seconds = _seconds;
	inc = _inc;
}

int ChessClock::getSeconds() const{
	int time = my_timer_elapsed_real(&clock);
	if (timer) time = seconds - time;
	return time;
}

const char * ChessClock::toString(){
	int time = my_timer_elapsed_real(&clock);
	if (timer) time = seconds - time;
	if (time < 0) time = 0;
	sprintf(str, "%02d:%02d", time/60, time%60);
	return str;
}
